Bug 236999 - system-config-kickstart: 'NoneType' object has no attribute 'set_model'
Summary: system-config-kickstart: 'NoneType' object has no attribute 'set_model'
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel   
(Show other bugs)
Version: rawhide
Hardware: noarch Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
: 237205 238746 (view as bug list)
Depends On:
Blocks: F7Test4
TreeView+ depends on / blocked
 
Reported: 2007-04-18 20:05 UTC by Max Spevack
Modified: 2007-11-30 22:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-23 15:16:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Max Spevack 2007-04-18 20:05:49 UTC
Rawhide 2007-04-18, system-config-kickstart-2.7.4-1.fc7
If you run system-config-kickstart, you get a traceback as follows:

Component: system-config-kickstart
Summary: TBefdff07c selinuxPage.py:75:__init__:AttributeError: 'NoneType' object
has no attribute 'set_model'

Traceback (most recent call last):
  File "/usr/bin/system-config-kickstart", line 81, in <module>
    kickstartGui.kickstartGui(file)
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 165, in __init__
    self.firewall_class = firewall.Firewall(xml, self.ksHandler)
  File "/usr/share/system-config-kickstart/firewall.py", line 99, in __init__
    self.selinuxWindow = selinuxWindow(selinuxXml)
  File "/usr/share/system-config-kickstart/firewall.py", line 40, in __init__
    selinuxPage.__init__(self, xml, doDebug, inFirstboot)
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line 75, in __init__
    self.enabledOptionMenu.set_model(listStore)
AttributeError: 'NoneType' object has no attribute 'set_model'

Local variables in innermost frame:
xml: <glade.XML object (PyGladeXML) at 0x921c0cc>
listStore: <gtk.ListStore object (GtkListStore) at 0x981da04>
doDebug: None
self: <firewall.selinuxWindow instance at 0x981e08c>
inFirstboot: False

Comment 1 Chris Lumens 2007-04-19 15:11:24 UTC
What version of system-config-securitylevel do you have installed?

Comment 2 Chris Lumens 2007-04-20 15:04:39 UTC
*** Bug 237205 has been marked as a duplicate of this bug. ***

Comment 3 Chris Lumens 2007-04-20 15:27:34 UTC
twoerner - both firstboot and system-config-kickstart rely on the screens
provided by system-config-securitylevel.  One thing they both need is the
SELinux tab, which is provided to these other programs by the selinuxPage module
in s-c-sl.  If you could please add this tab back for F7 so we don't have to
change both firstboot and s-c-ks, that'd be helpful.  We can then sort out what
to do permanently after the release.

Look for me in IRC if you have any questions about this.

Comment 4 Christopher Brown 2007-04-20 22:00:31 UTC
Please close - this is a duplicate of #234006

Comment 5 Chris Lumens 2007-04-23 15:16:20 UTC
This has been fixed by downgrading s-c-securitylevel to 1.7.0 in the F7 tree.

Comment 6 Zack Cerza 2007-04-25 18:16:59 UTC
Is there a way we can have people tracking rawhide get the older s-c-sl in a yum
update?

Comment 7 Chris Lumens 2007-04-25 18:40:46 UTC
There's no way to fix that short of building a new s-c-sl with a higher epoch
(kind of a gross fix), or one with a version number higher than 1.8.0. 
Otherwise people will have to fix this manually.

Comment 8 Chris Lumens 2007-05-02 19:06:07 UTC
*** Bug 238746 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.